> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api-v1/send.md).

# 청구서 발송 및 파기

## 청구서 발송

> 결제 금액을 결제 고객에게 청구하기 위하여 청구서를 생성하고 결제 고객에게 알림톡으로 청구서를 전송합니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/bill/send":{"post":{"tags":["erp-partner-controller"],"summary":"청구서 발송","description":"결제 금액을 결제 고객에게 청구하기 위하여 청구서를 생성하고 결제 고객에게 알림톡으로 청구서를 전송합니다.","operationId":"makeURL_n_TALK","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReqSendBill"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendBill"}}}}}}}},"components":{"schemas":{"ReqSendBill":{"required":["apikey","member","merchant"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill":{"$ref":"#/components/schemas/Bill"}}},"Bill":{"required":["bill_id","callbackURL","hash","member_nm","phone","price","product_nm"],"type":"object","properties":{"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"bill_issuer":{"maxLength":50,"type":"string","description":"청구서 발급처명  \n청구서가 발급될 때 노출되는 발급처명을 직접 입력한 값으로 노출하기 위해 사용  \n -파라미터 전달시 : 세팅한 값이 발급처명으로 노출  \n -파라미터 미전달시 : 사업장명이 발급처명으로 노출"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"product_nm":{"type":"string","description":"청구 사유"},"message":{"type":"string","description":"안내메세지"},"member_nm":{"type":"string","description":"고객명"},"phone":{"type":"string","description":"고객 전화번호"},"price":{"type":"string","description":"결제 금액"},"expire_dt":{"type":"string","description":"유효기간  \nYYYY-MM-DD  \n청구서 생성일 자정까지 입력 가능"},"callbackURL":{"type":"string","description":"결제 승인 후 결제 상태를 통보받을 파트너사의 URL"}},"description":"청구서 정보"},"SendBill":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"},"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"merchant":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"}}}}}}
```

## 청구서 파기

> 결제를 진행할 수 없도록 발송된 청구서를 파기합니다.  \
> 결제가 승인되기 전에만 파기가 가능하며, 결제가 승인된 후에는 파기할 수 없습니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/bill/destroy":{"post":{"tags":["erp-partner-controller"],"summary":"청구서 파기","description":"결제를 진행할 수 없도록 발송된 청구서를 파기합니다.  \n결제가 승인되기 전에만 파기가 가능하며, 결제가 승인된 후에는 파기할 수 없습니다.","operationId":"billDestroy","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReqDestroyBill"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DestroyBill"}}}}}}}},"components":{"schemas":{"ReqDestroyBill":{"required":["apikey","bill_id","hash","member","merchant","price"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"},"price":{"type":"string","description":"결제 금액"}}},"DestroyBill":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"},"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"merchant":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"},"hash":{"type":"string","description":"통신 암호 키  \n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성  \n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성"}}}}}}
```

## 청구서 재발송

> 기발송된 청구서를 재발송합니다.  \
> 청구 내용은 동일하며 알림톡이 새로 발송되므로 쌤포인트는 차감됩니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/if/bill/resend":{"post":{"tags":["erp-partner-controller"],"summary":"청구서 재발송","description":"기발송된 청구서를 재발송합니다.  \n청구 내용은 동일하며 알림톡이 새로 발송되므로 쌤포인트는 차감됩니다.","operationId":"resend_TALK","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillReq"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Base"}}}}}}}},"components":{"schemas":{"BillReq":{"required":["apikey","bill_id","member","merchant"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"merchant":{"maxLength":30,"type":"string","description":"파트너 매장 코드"},"member":{"maxLength":30,"type":"string","description":"파트너 사용자 코드"},"bill_id":{"type":"string","description":"청구서 ID  \n문자/숫자 20자리 (중복불가)  \n -개발: 사업자번호 + 10자리 자유롭게 사용  \n -운영: 20자리 자유롭게 사용"}}},"Base":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.payssam.kr/api/api-v1/send.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
